Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.cybergarage.upnp.ssdp
Class HTTPUSocket

    java.lang.Object
      org.cybergarage.upnp.ssdp.HTTPUSocket

Direct Known Subclasses:
  SSDPSearchResponseSocket

    public class HTTPUSocket

extends Object

Constructor Summary
`HTTPUSocket()`
`HTTPUSocket(int bindPort)`
`HTTPUSocket(String bindAddr, int bindPort)`

Method Summary
`boolean` | `close()`
`protected void` | `finalize()`
`DatagramSocket` | `getDatagramSocket()`
`String` | `getLocalAddress()`
`boolean` | `open()`
`boolean` | `open(int bindPort)`
`boolean` | `open(String bindAddr, int bindPort)`
`boolean` | `post(String addr, int port, String msg)`
`SSDPPacket` | `receive()`
`void` | `setLocalAddress(String addr)`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTTPUSocket

    public HTTPUSocket()

### HTTPUSocket

    public HTTPUSocket(String bindAddr,
                       int bindPort)

### HTTPUSocket

    public HTTPUSocket(int bindPort)

Method Detail

### getDatagramSocket

    public DatagramSocket getDatagramSocket()

### finalize

    protected void finalize()

  Overrides:
    `finalize` in class `Object`

### setLocalAddress

    public void setLocalAddress(String addr)

### getLocalAddress

    public String getLocalAddress()

### open

    public boolean open()

### open

    public boolean open(String bindAddr,
                        int bindPort)

### open

    public boolean open(int bindPort)

### close

    public boolean close()

### post

    public boolean post(String addr,
                        int port,
                        String msg)

### receive

    public SSDPPacket receive()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD